org.vishia.gral.widget

## Class GralHorizontalSelector.GraphicImplAccess<UserData>

- java.lang.Object
- - org.vishia.gral.base.GralWidget.ImplAccess
  - - org.vishia.gral.widget.GralHorizontalSelector.GraphicImplAccess<UserData>

- All Implemented Interfaces:
    GralWidgImpl_ifc
  Direct Known Subclasses:
    SwtHorizontalSelector
  Enclosing class:
    GralHorizontalSelector<UserData>

      public abstract static class GralHorizontalSelector.GraphicImplAccess<UserData>
      extends GralWidget.ImplAccess
      implements GralWidgImpl_ifc

  This class is not intent to use from an application, it is the super class for the implementation layer to access all necessary data and methods with protected access rights. The methods are protected because an application should not use it. This class is public because it should be visible from the graphic implementation which is located in another package.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GralHorizontalSelector<UserData>` | `outer`

    - ### Fields inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `chgBitsDerived, chgColorBack, chgColorLine, chgColorText, chgEditable, chgFloat, chgFocus, chgFont, chgIntg, chgInvisible, chgObjects, chgPos, chgText, chgVisible, chgVisibleInfo, pixBounds, wdgimpl, widgg`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GraphicImplAccess(GralHorizontalSelector<UserData> widgg, GralMng mng)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected GralHorizontalSelector.Item<?>` | `actItem()`
    `protected void` | `calcLeftTab(int gwidth, int xArrow)`
    `protected void` | `clearDstItem()` Removes a different choice of a destination item, because the mouse was released outside of the area where it is pressed and outside of the widget.
    `protected void` | `execAfterCreationImplWidget()`
    `protected void` | `findTab(int xMouse)` Searches the tab which is shown in the xMouse region.
    `protected java.util.List<GralHorizontalSelector.Item<UserData>>` | `items()`
    `protected int` | `nrItem()`
    `protected int` | `nrLeftTab()`
    `protected int` | `nrofTabs()`
    `protected void` | `removeDstItem()`
    `protected void` | `setDstToActItem()` Sets a chosen item to the current one, because the mouse was released inside this item.
    `protected GralHorizontalSelector.Item<?>` | `tab(int ix)`

    - ### Methods inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `acknChanged, actionShow, dyda, getActionChange, getChanged, gralWidgetFromImplData, setDragEnable, setDropEnable, setFocused, setTextChanged, setVisibleState, XXXfocusGained`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.vishia.gral.base.GralWidgImpl_ifc

      `getPixelPositionSize, getWidgetImplementation, removeWidgetImplementation, repaintGthread, setBoundsPixel, setFocusGThread, setVisibleGThread`

- - ### Field Detail

    - #### outer

          protected final GralHorizontalSelector<UserData> outer

  - ### Constructor Detail

    - #### GraphicImplAccess

          protected GraphicImplAccess(GralHorizontalSelector<UserData> widgg,
                                      GralMng mng)

  - ### Method Detail

    - #### items

          protected java.util.List<GralHorizontalSelector.Item<UserData>> items()

    - #### actItem

          protected GralHorizontalSelector.Item<?> actItem()

    - #### tab

          protected GralHorizontalSelector.Item<?> tab(int ix)

    - #### nrItem

          protected int nrItem()

    - #### nrofTabs

          protected int nrofTabs()

    - #### calcLeftTab

          protected void calcLeftTab(int gwidth,
                                     int xArrow)

    - #### findTab

          protected void findTab(int xMouse)

      Searches the tab which is shown in the xMouse region.
      Parameters:
        `xMouse` - x-position from mouse button pressed in the implementation widget area.

    - #### setDstToActItem

          protected void setDstToActItem()

      Sets a chosen item to the current one, because the mouse was released inside this item.

    - #### clearDstItem

          protected void clearDstItem()

      Removes a different choice of a destination item, because the mouse was released outside of the area where it is pressed and outside of the widget.

    - #### removeDstItem

          protected void removeDstItem()

    - #### execAfterCreationImplWidget

          protected void execAfterCreationImplWidget()

    - #### nrLeftTab

          protected int nrLeftTab()